رفتن به مطلب
جامعه‌ی برنامه‌نویسان مُدرن ایران
MahdiGameMaker

مشکل درایجاد فایل apk در Qt


پست های پیشنهاد شده

ارسال شده در (ویرایش شده)

سلام دوستان

به اوبونتو مهاجرت کردم و sdk ویندوز رو به qt معرفی کردم اما اون بازم نسخه ۲۹ و یک سری چیز ها حدودا ۶۰۰ مگ رو دانلود کرد و در اخر نشناختش و خودش یک مسیر ساخت.اما وقتی یک پروژه نمونه qt رو build میزنم چنین اروری میده!در پنچره compile output

/media/mail313/setupp/android-ndk-r20/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/bin/ld: error: cannot find -lc++
clang++: error: linker command failed with exit code 1 (use -v to see invocation)
make: *** [libanalogclock.so] Error 1
23:23:07: The process "/media/mail313/setupp/android-ndk-r20/prebuilt/linux-x86_64/bin/make" exited with code 2.
Error while building/deploying project analogclock (kit: Android for armeabi-v7a (Clang Qt 5.12.0 for Android ARMv7))
When executing step "Make"
23:23:07: Elapsed time: 00:00.

در پنجره issues:

 error: error: cannot find -lc++
 error: linker command failed with exit code 1 (use -v to see invocation)

(SDK Version: 26.1.1, NDK Version: 20.0.5)

ویرایش شده در توسط MahdiGameMaker
متمایز کردن لاگ‌ها از متن اصلی.

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

دوستان ربطی به jdk نداره؟

jdk 8 رو نصب کردم!

تو ویندوز قبلا ndk 16 بود کار میکرد وقتی تو ویندوز به  ndk20 ابدیت کردم اونجا هم ارور میداد!

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در 11 دقیقه قبل، MahdiGameMaker گفته است :

دوستان ربطی به jdk نداره؟

jdk 8 رو نصب کردم!

تو ویندوز قبلا ndk 16 بود کار میکرد وقتی تو ویندوز به  ndk20 ابدیت کردم اونجا هم ارور میداد!

سلام،

شما باید به نسخه‌ی خود Qt هم توجه کنید، شما از نسخه‌ی کیوت ۵.۱۲ داری استفاده می‌کنی که NDK 20 رو پشتیبانی نمی‌کنه. تنها از کیوت ۵.۱۳ به اینور پشتیبانی می‌شه. برای نسخه‌های پایین‌تر از NDK R18 استفاده کن.

درضمن NDK ویندو برای ویندوز هست نباید اون رو برای لینوکس استفاده کنی (نسخه‌ی مخصوص لینوکس رو دریافت کن).

بعد از دریاف جهت به‌روزرسانی‌ مخازن هم حتماً باید از شبکه‌ی پایدار استفاده کنی تحت وی‌-‌پی‌-ان تا بتونی دانلود رو به درستی انجام بدی.

 

قبل از پرسش‌های تکراری هم حتماً یک جستجو در وب‌سایت انجام بده تا به پاسخ‌های مرتبط برسی :

آخرین تغییرات و به‌روزرسانی‌های NDK - برنامه نویسی تحت محصولات گوگل - جامعه‌ی برنامه‌نویسان مُدرن ایران

مشکل خروجی گرفتن از اندروید در Qt 5.12 - موبایل و اِمبِد‌ها - جامعه‌ی برنامه‌نویسان مُدرن ایران

پیغام خطا هنگام خروجی گرفتن در اندروید - فناوری Qt Quick و QML - جامعه‌ی برنامه‌نویسان مُدرن ایران

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
ارسال شده در (ویرایش شده)

سلام.من اولین باره میخوام تو کیوت خروجی اندروید بگیرم و به خطای زیر خوردم:

androideabi/bin\ld: error: cannot find -lc++

clang++: error: linker command failed with exit code 1 (use -v to see invocation)

در صورتیکه ورژن sdk و ndk

Android settings are OK. (SDK Version: 24.4.1, NDK Version: 20.0.5594570)

باشه و خطای زیر

A problem occurred configuring root project 'android-build'.

> Failed to install the following Android SDK packages as some licences have not been accepted.

build-tools;28.0.2 Android SDK Build-Tools 28.0.2

To build this project, accept the SDK license agreements and install the missing components using the Android Studio SDK Manager.

Alternatively, to transfer the license agreements from one workstation to another, see Exporting licenses - Android Studio Project Site

 

Using Android SDK: C:\Users\j1\Desktop\sdk1

 

* Try:

Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

 

* Get more help at Gradle | Search for Help with Gradle

درصورتیکه ورژن sdk و ndk

Android settings are OK. (SDK Version: 24.4.1, NDK Version: 18.1.5063045)

باشه

من از کیوت 5.12.1 استفاده می کنم

ویرایش شده در توسط androidWithQt

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در 9 دقیقه قبل، androidWithQt گفته است :

سلام.من اولین باره میخوام تو کیوت خروجی اندروید بگیرم و به خطای زیر خوردم:

androideabi/bin\ld: error: cannot find -lc++

clang++: error: linker command failed with exit code 1 (use -v to see invocation)

ورژن sdk و ndk

Android settings are OK. (SDK Version: 24.4.1, NDK Version: 20.0.5594570)

من از کیوت 5.12.1 استفاده می کنم

سلام،

در کیوت ۵.۱۲ از NDK R18 استفاده کن، نسخه‌ی R20 کیوت ۵.۱۳ می‌طلبه.

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

درصورتیکه ورژن sdk و ndk

Android settings are OK. (SDK Version: 24.4.1, NDK Version: 18.1.5063045)باشه خطای زیر رو بهم میده:


A problem occurred configuring root project 'android-build'.

 

> Failed to install the following Android SDK packages as some licences have not been accepted.

build-tools;28.0.2 Android SDK Build-Tools 28.0.2

To build this project, accept the SDK license agreements and install the missing components using the Android Studio SDK Manager.

Alternatively, to transfer the license agreements from one workstation to another, see Exporting licenses - Android Studio Project Site

Using Android SDK: C:\Users\j1\Desktop\sdk1

* Try:

Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at Gradle | Search for Help with Gradle

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در 3 دقیقه قبل، androidWithQt گفته است :

درصورتیکه ورژن sdk و ndk

Android settings are OK. (SDK Version: 24.4.1, NDK Version: 18.1.5063045)باشه خطای زیر رو بهم میده:


A problem occurred configuring root project 'android-build'.

 

> Failed to install the following Android SDK packages as some licences have not been accepted.

build-tools;28.0.2 Android SDK Build-Tools 28.0.2

To build this project, accept the SDK license agreements and install the missing components using the Android Studio SDK Manager.

Alternatively, to transfer the license agreements from one workstation to another, see Exporting licenses - Android Studio Project Site

Using Android SDK: C:\Users\j1\Desktop\sdk1

* Try:

Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at Gradle | Search for Help with Gradle

خب دوست عزیز انتظار داری بدون به‌روز‌رسانی مخازن و پذیرش مجوز‌ها کار کنه؟

برای این کار باید به زبانه‌ی Device رفته و مخازن رو به‌روز کنید.

در مورد این کار تحقیق کنید.

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در 9 ساعت قبل، androidWithQt گفته است :

درصورتیکه ورژن sdk و ndk

Android settings are OK. (SDK Version: 24.4.1, NDK Version: 18.1.5063045)باشه خطای زیر رو بهم میده:

 

اگر بازم ارور داد ndk16 رو بریز حل میشه

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در در 3 تیر 1398 در 13:03، کامبیز اسدزاده گفته است :

سلام،

در کیوت ۵.۱۲ از NDK R18 استفاده کن، نسخه‌ی R20 کیوت ۵.۱۳ می‌طلبه.

سلام من qt 13 ریختم بازم به ndk20 ارور میداد!

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در هم اکنون، MahdiGameMaker گفته است :

سلام من qt 13 ریختم بازم به ndk20 ارور میداد!

درود،

خب چه خطایی؟

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
ارسال شده در (ویرایش شده)
/home/mail313/android-ndk-r20-linux-x86_64/android-ndk-r20/toolchains/x86-4.9/prebuilt/linux-x86_64/lib/gcc/i686-linux-android/4.9.x/../../../../i686-linux-android/bin/ld: error: cannot find -lc++

clang++: error: linker command failed with exit code 1 (use -v to see invocation)

make: *** [libworldtimeclockplugin.so] Error 1

18:39:23: The process "/home/mail313/android-ndk-r20-linux-x86_64/android-ndk-r20/prebuilt/linux-x86_64/bin/make" exited with code 2.

Error while building/deploying project worldtimeclockplugin (kit: Android for x86 (Clang Qt 5.13.0 for Android x86))

When executing step "Make"

 

ویرایش شده در توسط کامبیز اسدزاده
تصحیح و اعمال تگ کد

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

مهمان
ارسال پاسخ به این موضوع ...

×   شما در حال چسباندن محتوایی با قالب بندی هستید.   حذف قالب بندی

  تنها استفاده از ۷۵ اموجی مجاز می باشد.

×   لینک شما به صورت اتوماتیک جای گذاری شد.   نمایش به عنوان یک لینک به جای

×   محتوای قبلی شما بازگردانی شد.   پاک کردن محتوای ویرایشگر

×   شما مستقیما نمی توانید تصویر خود را قرار دهید. یا آن را اینجا بارگذاری کنید یا از یک URL قرار دهید.


  • کاربران آنلاین در این صفحه   0 کاربر

    هیچ کاربر عضوی،در حال مشاهده این صفحه نیست.

×
×
  • جدید...